"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNxPackage = exports.readNxVersion = void 0;
const devkit_1 = require("@nx/devkit");
function readNxVersion(tree) {
    const packageJson = (0, devkit_1.readJson)(tree, 'package.json');
    const nxVersion = packageJson.devDependencies['@nx/workspace']
        ? packageJson.devDependencies['@nx/workspace']
        : packageJson.dependencies['@nx/workspace'];
    if (!nxVersion) {
        throw new Error('@nx/workspace is not a dependency.');
    }
    return nxVersion;
}
exports.readNxVersion = readNxVersion;
function hasNxPackage(tree, nxPackage) {
    const packageJson = (0, devkit_1.readJson)(tree, 'package.json');
    return ((packageJson.dependencies && packageJson.dependencies[nxPackage]) ||
        (packageJson.devDependencies && packageJson.devDependencies[nxPackage]));
}
exports.hasNxPackage = hasNxPackage;
//# sourceMappingURL=util.js.map